Skip to main content
PUT
/
return_orders
/
{returnOrderId}
Update a return
curl --request PUT \
  --url https://app.supercycle.com/api/v1/return_orders/{returnOrderId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "returnLines": [
    {
      "id": 123
    }
  ]
}
'
import requests

url = "https://app.supercycle.com/api/v1/return_orders/{returnOrderId}"

payload = { "returnLines": [{ "id": 123 }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({returnLines: [{id: 123}]})
};

fetch('https://app.supercycle.com/api/v1/return_orders/{returnOrderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "customer": {
    "id": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "shopifyId": 123,
    "defaultAddress": {
      "customerId": 123,
      "default": true,
      "firstName": "<string>",
      "lastName": "<string>",
      "company": "<string>",
      "address1": "<string>",
      "address2": "<string>",
      "city": "<string>",
      "province": "<string>",
      "country": "<string>",
      "zip": "<string>",
      "phone": "<string>",
      "name": "<string>",
      "provinceCode": "<string>",
      "countryCode": "<string>",
      "countryName": "<string>"
    },
    "email": "<string>",
    "firstName": "<string>",
    "lastName": "<string>"
  },
  "returnLines": [
    {
      "id": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "rentalId": 123,
      "condition": {
        "id": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "severityKey": "<string>",
        "severityTone": "<string>",
        "title": "<string>"
      },
      "item": {
        "id": 123,
        "createdAt": "2023-11-07T05:31:56Z",
        "activeRentalId": 123,
        "productTitle": "<string>",
        "serial": "<string>",
        "sequentialId": 123,
        "shopifyVariantId": 123,
        "tags": [
          "<string>"
        ],
        "variantTitle": "<string>",
        "activeReturnId": 123,
        "condition": {
          "id": 123,
          "createdAt": "2023-11-07T05:31:56Z",
          "severityKey": "<string>",
          "severityTone": "<string>",
          "title": "<string>"
        },
        "conditionId": 123,
        "imageUrl": "<string>",
        "location": {
          "shopifyId": 123,
          "name": "<string>"
        },
        "pickLocation": "<string>",
        "acquisitionCostCents": 123,
        "roiCents": 123,
        "shopifyProductId": 123,
        "timelineEvents": [
          {
            "id": 123,
            "eventableId": 123,
            "eventableType": "<string>",
            "eventType": "<string>",
            "metadata": {},
            "createdAt": "2023-11-07T05:31:56Z",
            "updatedAt": "2023-11-07T05:31:56Z",
            "author": "<string>"
          }
        ],
        "customFields": [
          {
            "id": 123,
            "ownerId": 123,
            "definitionId": 123,
            "key": "<string>",
            "value": "<string>",
            "valueJson": "<unknown>"
          }
        ]
      },
      "requestedAt": "2023-11-07T05:31:56Z",
      "restockedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "sequentialId": 123,
  "requestedAt": "2023-11-07T05:31:56Z",
  "returnMethod": {
    "trackingUrl": "<string>",
    "addressShopifyId": 123,
    "collectionDate": "2023-12-25"
  },
  "timelineEvents": [
    {
      "id": 123,
      "eventableId": 123,
      "eventableType": "<string>",
      "eventType": "<string>",
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "author": "<string>"
    }
  ],
  "tags": [
    "<string>"
  ]
}
{
"error": "Rate limit exceeded. Retry after 42 seconds."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

returnOrderId
integer
required

Numeric ID of the return to retrieve.

Body

application/json
status
enum<string>

The overall status of the return order

Available options:
requested,
expected,
received,
in_progress,
completed,
cancelled
returnLines
object[]

Response

Expected response to a valid request

id
integer<int64>
required

Numeric ID of the return.

createdAt
string<date-time>
required
creditStatus
enum<string>
required
Available options:
uncredited,
partially_recredited,
recredited
customer
object
required
returnLines
object[]
required
sequentialId
integer<int32>
required

Sequential ID of the return.

status
enum<string>
required

Status of the return.

Available options:
requested,
expected,
received,
in_progress,
completed,
cancelled
receivalStatus
enum<string>
Available options:
unreceived,
partially_received,
received
requestedAt
null | string<date-time>
returnMethod
null | object

Return method information

timelineEvents
object[]

Timeline events for this return order

tags
string[]